## nss-ldapd 0.5

=== debian/changelog ===
nss-ldapd (0.5) unstable; urgency=low

  * major structural changes in the LDAP lookup code using a newly implemented
    module that does memory management, session handling, paging and all other
    painful things with a simple interface
  * rewritten LDAP query and result handling code, now generating warnings
    about incorrect entries in the LDAP directory
  * IPv6 addresses in host lookups are now supported
  * added Kerberos ccname support (with the krb5_ccname option) thanks to
    Andreas Schneider and Ralf Haferkamp from SuSE and remove
    --with-gssapi-dir, --enable-configurable-krb5-ccname-gssapi and
    --enable-configurable-krb5-ccname-env configure options and having
    automatic detection instead
  * added support for DNS SRV record lookups by specifying DNS as uri thanks
    to Ralf Haferkamp and Michael Calmer from SuSE
  * added support for DOMAIN as base DN which uses the host's domain to
    construct a DN
  * removed nss_connect_policy, bind_policy and sizelimit options
  * cleaned up and documented reconnect logic with reconnect_tries,
    reconnect_sleeptime and reconnect_maxsleeptime options
  * configuration values with spaces in them (e.g. distinguished names) are
    now handled properly
  * fix a small memory leak in the I/O module
  * miscellaneous code improvements (better source code comments, more
    consistent logging, portability improvements, more tests, etc)
  * improvements to documentation

 -- Arthur de Jong <adejong@debian.org>  Wed, 27 Dec 2007 11:00:00 +0100

nss-ldapd (0.4.1) unstable; urgency=low

  * updated French debconf translation by Cyril Brulebois (closes: #433248)
  * updated Japanese debconf translation by Kenshi Muto (closes: #446580)
  * remove S runlevel from Default-Stop in init script (closes: #447949)
  * fix a problem with network name lookups where the lookup would result
    in the wrong call to nslcd
  * fix wrong default filter for rpc lookups
  * fix a number of memory leaks (thanks valgrind) (closes: #447997)
    (all memory leaks during normal operation should be fixed now)

 -- Arthur de Jong <adejong@debian.org>  Thu, 26 Oct 2007 10:00:00 +0200

nss-ldapd (0.4) unstable; urgency=low

  * remove nss_schema configfile option
  * temporary remove support for uniqueMember group membership attributes
    (will be re-added in a later release)
  * removed support for nested groups, if this is really needed (please ask or
    file a bug if you want it) it can be re-added later on
  * added missing docbook sources for manual pages to tarball (closes: #442688)
  * major cleanups and simplifications in the core LDAP query code (we don't
    need to worry about SIGPIPE because nslcd does that globally, locking
    because a connection is only used by one thread) and more simplifications
    in the the LDAP connection and query state
  * get base, scope, filter and map configfile directives properly working
  * simplifications in LDAP reconnect logic (some work remains to be done in
    this area)
  * issue warnings or errors for untested or unsupported configuration options
  * properly handle multiple URIs in Debian configuration
  * documentation improvements

 -- Arthur de Jong <adejong@debian.org>  Fri, 05 Oct 2007 22:00:00 +0200

nss-ldapd (0.3) unstable; urgency=low

  * added XS-Vcs-Svn and XS-Vcs-Browser as specified in #391023
  * improved manual pages and use docbook2x-man for generating them
  * a bug in the communication buffer handling code was fixed
  * a bug in the dictionary code was fixed (code not yet in use)
  * a fix for the init script that used a wrong pidfile
  * configuration file handling code was rewritten to better maintainable
  * some configuration file options have changed which means that
    compatibility with the nss_ldap configuration file is lost
  * configuration syntax is now documented in the nss-ldapd.conf(5) manual
    page
  * support for dnsconfig was removed
  * the configuration file no longer supports using multiple search bases
  * removed nss_initgroups and nss_initgroups_ignoreusers options
  * removed --enable-paged-results configure option and use pagesize
    configuration file option to specify usage of paging at runtime
  * added Portuguese debconf translation by Américo Monteiro
    (closes: #433039)
  * Debian package configuration improvements and simplifications
  * use docbook2x-man for generating manual pages
  * miscellaneous documentation improvements including improved manual pages
  * general code reorganisation and clean-ups to achieve another 9% code
    reduction relative to 0.2.1 release (more than 40% relative to nss_ldap)
  * SASL, Kerberos and SSL/TLS support remain untested

 -- Arthur de Jong <adejong@debian.org>  Sun, 26 Aug 2007 19:00:00 +0200

nss-ldapd (0.2.1) unstable; urgency=low

  * fix permissions of server socket (this fixes a problem where non-root
    users were unable to do lookups)
  * fix configure script to properly check for pthread support
  * small code improvements
  * general build system cleanups
  * add more information to debian/copyright

 -- Arthur de Jong <adejong@debian.org>  Sun, 17 Jun 2007 18:30:00 +0200

nss-ldapd (0.2) unstable; urgency=low

  * fixes to the netgroup lookup code
  * more simplifications and improvements in the code almost 5% code reduction
    (compared to release 0.1) and 37% reduction in gcc warnings (from 443 in
    251 to 389 in 0.1 and 244 in 0.2)
  * a lot of code improvements thanks to flawfinder, more gcc warnings, splint
    and rats
  * license change from GNU Library General Public License to GNU Lesser
    General Public License (with the permission of Luke Howard)
  * fix logging code to be cleaner and always use our own logging module
  * a start has been made to make the code more testable and initial work to
    set up a testing framework
  * implemented a timeout mechanism in the communication between the NSS part
    and the nslcd server part

