=== debian/control ===
Source: nss-ldapd
Section: net
Priority: extra
Maintainer: Arthur de Jong <adejong@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 4.1.13), libkrb5-dev, libldap2-dev, libsasl2-dev, po-debconf (>= 0.5.0), docbook2x, docbook-xml
Homepage: http://ch.tudelft.nl/~arthur/nss-ldapd
Vcs-Svn: http://arthurenhella.demon.nl/svn/nss-ldapd/nss-ldapd/
Vcs-Browser: http://arthurenhella.demon.nl/viewcvs/nss-ldapd/nss-ldapd/

Package: libnss-ldapd
Architecture: any
Depends: ${shlibs:Depends}, debconf | debconf-2.0
Recommends: nscd, libpam-ldap
Conflicts: libnss-ldap
Provides: libnss-ldap
Description: NSS module for using LDAP as a naming service
 This package provides a Name Service Switch module that allows your LDAP
 server to provide user account, group, host name, alias, netgroup, and
 basically any other information that you would normally get from /etc flat
 files or NIS.
 .
 This is a fork from the original libnss-ldap package and fixes,
 amongst other things, problems related to host name lookups and name
 lookups during booting.
