=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# code for passing host/build options to configure
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure $(confflags) \
	            --prefix=/usr \
	            --mandir=\$${prefix}/share/man \
	            --sysconfdir=/etc \
	            --localstatedir=/var \
	            --enable-warnings \
	            --disable-maintainer-mode \
	            --disable-dependency-tracking \
	            --with-ldap-lib=openldap \
	            --with-ldap-conf-file=/etc/nss-ldapd.conf \
	            --with-nslcd-pidfile=/var/run/nslcd/nslcd.pid \
	            --with-nslcd-socket=/var/run/nslcd/socket \
	            --enable-paged-results \
	            --enable-configurable-krb5-ccname-gssapi
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean
	debconf-updatepo --verbose

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libnss-ldapd
	# make configfile fully generated
	rm -f $(CURDIR)/debian/libnss-ldapd/etc/nss-ldapd.conf
	# install a lintian override file
	install -D -m 644 $(CURDIR)/debian/libnss-ldapd.lintian-overrides \
	        $(CURDIR)/debian/libnss-ldapd/usr/share/lintian/overrides/libnss-ldapd

# build architecture-independent files
binary-indep: build install
# we have nothing to do by default

# build architecture-dependent files
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installinit --name=nslcd
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
