## nss-ldapd 0.6.5

=== debian/changelog ===
nss-ldapd (0.6.5) unstable; urgency=low

  * updated Swedish debconf translation by Martin Ågren (closes: #492910)
  * updated Danish debconf translation by Jonas Smedegaard (closes: #493973)

 -- Arthur de Jong <adejong@debian.org>  Fri, 22 Aug 2008 11:00:00 +0200

nss-ldapd (0.6.4) unstable; urgency=medium

  * set urgency medium in an attempt to get in before the freeze
    (not much code changes)
  * fix for the tls_checkpeer option
  * fix incorrect test for ssl option in combination with ldaps:// URIs
  * improvements to Active Directory sample configuration
  * implement looking up search base in rootDSE of LDAP server
    (closes: #489361)

 -- Arthur de Jong <adejong@debian.org>  Sun, 20 Jul 2008 10:30:00 +0200

nss-ldapd (0.6.3) unstable; urgency=low

  * retry connection and search if getting results failed with connection
    problems (some errors only occur when getting the results, not when
    starting the search) (closes: #474178, #484798)
  * add support for groups with up to around 150000 members (assuming user
    names on average are a little under 10 characters)
    (closes: #481077, #479552)
  * problem with possible SIGPIPE race condition was fixed by using send()
    instead of write()
  * add uid and gid configuration keywords that set the user and group of the
    nslcd daemon
  * run nslcd as user nslcd and group nslcd by default (note that this can
    affect access to SSL/TLS and/or SASL files)
  * add some documentation on supported group to member mappings
  * add sanity checking to code for when clock moves backward
    (closes: #480197)
  * log messages now include a session id that makes it easier to track errors
    to requests (especially useful in debugging mode)
  * miscellaneous portability improvements
  * increase buffers and timeouts to handle large lookups more gracefully
    (further addresses #474174)
  * implement SASL authentication based on a patch by Dan White
  * allow more characters in user and group names
  * upgrade to standards-version 3.8.0 (no changes needed)
  * removed lintian override (seems to be no longer necessary)

 -- Arthur de Jong <adejong@debian.org>  Sun, 15 Jun 2008 15:00:00 +0200

nss-ldapd (0.6.2) unstable; urgency=low

  * all user and group names are now checked for validity are specified in the
    POSIX Portable Filename Character Set
  * support retrieval of ranged attribute values as sometimes returned by
    Active Directory (closes: #476454)
  * added the threads keyword to configure the number of threads that should
    be started in nslcd
  * handle empty netgroups properly (closes: #478764)
  * change the time out and retry mechanism for connecting to the LDAP server
    to return an error quickly if the LDAP server is known to be unavailable
    for a long time (this removed the reconnect_tries option and changes the
    meaning of the reconnect_sleeptime and reconnect_maxsleeptime options)
    (closes: #474174)
  * increased the time out values between the NSS module and nslcd because of
    new retry mechanism
  * implement new dict and set modules that use a hashtable to map keys
    efficiently
  * use the new set to store group membership to simplify memory management
    and eliminate duplicate members (closes: #474218)
  * the uniqueMember attribute now only supports DN values
  * implement a cache for DN to user name lookups (15 minute timeout) used for
    the uniqueMember attribute to save on doing LDAP searches for groups with
    a lot of members, based on a patch by Petter Reinholdtsen
    (closes: #478267)
  * only guess default search base in package configuration if the value
    doesn't seem to be preseeded (closes: #475830)
  * improvements to the tests
  * if any of the ldap calls return LDAP_UNAVAILABLE or LDAP_SERVER_DOWN the
    connection is closed
  * improve dependencies in LSB init script header to improve dependency based
    booting (closes: #478807)

 -- Arthur de Jong <adejong@debian.org>  Sun, 04 May 2008 14:30:00 +0200

nss-ldapd (0.6.1) unstable; urgency=low

  * new release (closes: #474232)
  * numerous small fixes and compatibility improvements
  * the I/O buffers between nslcd and NSS module are now dynamically sized and
    tuned for common requests
  * correctly follow referrals
  * add StartTLS support by Ralf Haferkamp of SuSE
  * miscellaneous documentation improvements
  * remove code for handling rootbinddn/pw because it is unlikely to be
    supported any time soon
  * fix a problem with realloc()ed memory that was not referenced
    (closes: #472814)
  * fix for a crash in group membership buffer growing code thanks to Petter
    Reinholdtsen
  * some improvements to the Active Directory sample configuration
  * remove warning for failing to retrieve objectClass (closes: #472872)
  * fix init script exit code with stop while not running (closes: #473920)
  * fixes to the _nss_ldap_initgroups_dyn() function to properly handle the
    buffer and limits passed by Glibc
  * fixes to the member to groups search functions to correctly handle
    uniqueMember attributes
  * only return shadow entries to root users
  * make maintainer scripts more gracefully handle repeated options
    (closes: #471131)
  * fix a problem with rootbinddn being incorrectly copied from
    /etc/libnss-ldap.conf on installation (closes: #471146)
  * fix handling of spaces in values when using debconf (closes: #474371)
  * updated Spanish debconf translation by Rudy Godoy Guillén
    (closes: #463894)
  * updated Dutch debconf translation by Bart Cornelis (closes: #469176)

 -- Arthur de Jong <adejong@debian.org>  Sun, 06 Apr 2008 13:00:00 +0200

nss-ldapd (0.6) unstable; urgency=low

  * fix parsing of map option in nss-ldapd.conf
  * fix bug in handling of userPassword values
  * remove warning about missing loginShell attribute
  * support the uniqueMember LDAP attribute that holds DN values
  * support ldap as a compat service in /etc/nsswitch.conf

