=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Arthur de Jong <adejong@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 4.1.13), libkrb5-dev, libldap2-dev, libsasl2-dev, po-debconf (>= 0.5.0), docbook2x, docbook-xml
 Homepage: http://ch.tudelft.nl/~arthur/nss-ldapd
 Vcs-Svn: http://arthurenhella.demon.nl/svn/nss-ldapd/nss-ldapd/
@@ -10,7 +10,7 @@
 
 Package: libnss-ldapd
 Architecture: any
-Depends: ${shlibs:Depends}, debconf | debconf-2.0
+Depends: ${shlibs:Depends}, debconf | debconf-2.0, adduser
 Recommends: nscd, libpam-ldap
 Conflicts: libnss-ldap
 Provides: libnss-ldap
