## nss-ldapd 0.6.7

=== debian/changelog ===
nss-ldapd (0.6.7) unstable; urgency=low

  * a fix for a problem in debconf configuration that would ignore user input
    and use automatically detected values instead (closes: 505384)

 -- Arthur de Jong <adejong@debian.org>  Fri, 14 Nov 2008 16:30:00 +0100

nss-ldapd (0.6.6) unstable; urgency=low

  * clarify relationship to nss_ldap in package description (closes: #499892)
  * fix test for nscd init script in postinst (closes: #504142)
  * allow spaces in user and group names (closes: #488635)
  * if ldap_set_option() fails log the option name instead of number
  * retry connecting to LDAP server in more cases

 -- Arthur de Jong <adejong@debian.org>  Tue, 04 Nov 2008 22:30:00 +0100
