## nss-ldapd 0.6.7.1

=== debian/changelog ===
nss-ldapd (0.6.7.1) stable-security; urgency=high

  * security upload
  * fix the permissions of /etc/nss-ldapd.conf to not be world readable
    (file can be used to store LDAP password) (closes: #520476)

 -- Arthur de Jong <adejong@debian.org>  Sat, 21 Mar 2009 10:43:17 +0100
