=== debian/rules ===
--- 
+++ 
@@ -19,15 +19,14 @@
 	            --mandir=\$${prefix}/share/man \
 	            --sysconfdir=/etc \
 	            --localstatedir=/var \
+	            --libdir=/lib \
 	            --enable-warnings \
 	            --disable-maintainer-mode \
 	            --disable-dependency-tracking \
 	            --with-ldap-lib=openldap \
 	            --with-ldap-conf-file=/etc/nss-ldapd.conf \
 	            --with-nslcd-pidfile=/var/run/nslcd/nslcd.pid \
-	            --with-nslcd-socket=/var/run/nslcd/socket \
-	            --enable-paged-results \
-	            --enable-configurable-krb5-ccname-gssapi
+	            --with-nslcd-socket=/var/run/nslcd/socket
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -55,9 +54,6 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/libnss-ldapd
 	# make configfile fully generated
 	rm -f $(CURDIR)/debian/libnss-ldapd/etc/nss-ldapd.conf
-	# install a lintian override file
-	install -D -m 644 $(CURDIR)/debian/libnss-ldapd.lintian-overrides \
-	        $(CURDIR)/debian/libnss-ldapd/usr/share/lintian/overrides/libnss-ldapd
 
 # build architecture-independent files
 binary-indep: build install
@@ -77,7 +73,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
