## nss-ldapd 0.6.11ubuntu2

=== debian/changelog ===
nss-ldapd (0.6.11ubuntu2) karmic; urgency=low

  * debian/rules: revert nslcd socket location to /var/run/nslcd/. Both nslcd
    and slapd nssov overlay will create the directory if it doesn't exist.

 -- Mathias Gug <mathiaz@ubuntu.com>  Fri, 14 Aug 2009 10:39:21 -0400

nss-ldapd (0.6.11ubuntu1) karmic; urgency=low

  * Split nslcd daemon in its own package:
    + create new nslcd package.
    + split nscld configuration logic in its own maintainer scripts.
    + move nslcd socket from /var/run/nslcd/ to /var/run/ as it's used by 
      the nss library to connect to the server (which can be nslcd or slapd).
  * debian/control: drop nscd, libpam-ldap from a Recommends to a Suggests to
    not install them by default since slapd with the nssov overlay will be
    the suggested option for local caching.

 -- Mathias Gug <mathiaz@ubuntu.com>  Thu, 13 Aug 2009 20:02:46 -0400

nss-ldapd (0.6.11) unstable; urgency=low

  * fix user name to groups mapping (a bug in buffer checking in initgroups()
    that was introduced in 0.6.9)
  * fix a possible buffer overflow with too many uidNumber or gidNumber
    attributes (thanks to David Binderman for finding this)
  * lookups for group, netgroup, passwd, protocols, rpc, services and shadow
    maps are now case-sensitive
  * test suite is now minimally documented
  * added --disable-sasl and --disable-kerberos configure options
  * changed references to home page and contact email addresses to use
    arthurdejong.org
  * upgrade to standards-version 3.8.2 (no changes needed)
  * make configuring SSL/TLS possible with debconf (closes: #529985)
  * updated Finnish debconf translation by Esko Arajärvi (closes: #534343)
  * updated Japanese debconf translation by Kenshi Muto (closes: #534399)
  * updated Russian debconf translation by Yuri Kozlov (closes: #534780)
  * updated Swedish debconf translation by Martin Ågren (closes: #534869)
  * updated Spanish debconf translation by Francisco Javier Cuadrado
    (closes: #535438)
  * updated Portuguese debconf translation by Américo Monteiro
    (closes: #535641)
  * updated Czech debconf translation by Miroslav Kure (closes: #535678)
  * updated French debconf translation by Christian Perrier (closes: #536717)

 -- Arthur de Jong <adejong@debian.org>  Sun, 12 Jul 2009 22:30:00 +0200

nss-ldapd (0.6.10) unstable; urgency=low

  * implement searching through multiple search bases, based on a patch by
    Leigh Wedding
  * fix a segmentation fault that could occur when using any of the tls_*
    options with a string parameter (closes: #531113)
  * miscellaneous improvements to the experimental PAM module
  * implement PAM authentication function in the nslcd daemon
  * the code for reading and writing protocol entries between the NSS module
    and the daemon was improved
  * documentation updates
  * removed SSL/TLS related warnings during startup
  * added Finnish debconf translation by Esko Arajärvi (closes: #530284)
  * added Richard A Nelson (Rick) <cowboy@debian.org> to uploaders

 -- Arthur de Jong <adejong@debian.org>  Wed, 03 Jun 2009 15:00:00 +0200

nss-ldapd (0.6.9) unstable; urgency=low

  * produce more detailed logging in debug mode and allow multiple -d options
    to be specified to also include logging from the LDAP library
  * some LDAP configuration options are now initialized globally instead of
    per connection which should fix problems with the tls_reqcert option
    (closes: #521617)
  * documentation improvements for the NSLCD protocol used between the NSS
    module and the nslcd server
  * imported the new PAM module from the OpenLDAP nssov tree by Howard Chu
    (note that the PAM-related NSLCD protocol is not yet finalised and this
    module is not built by default)
  * in configure script allow disabling of building certain components
  * fix a problem with writing alternate service names and add checks for
    validity of passed buffer in NSS module (closes: #527246)
  * ask the user whether LDAP should be removed from /etc/nsswitch.conf at
    package removal time (closes: #523483)
  * remove /var/run/nslcd on package removal
  * updated Danish debconf translation by Jonas Smedegaard (closes: #525075)
  * updated Japanese debconf translation by Kenshi Muto (closes: #525085)
  * updated Portugese debconf translation by Américo Monteiro
    (closes: #525530)
  * added Italian debconf translation by Vincenzo Campanella (closes: #525784)
  * updated French debconf translation by Guillaume Delacour (closes: #526638)
  * updated Swedish debconf translation by Martin Ågren (closes: #526757)
  * updated Russian debconf translation by Yuri Kozlov (closes: #527102)
  * updated Spanish debconf translation by Francisco Javier Cuadrado
    (closes: #527242)
  * added Galician debconf translation by Marce Villarino (closes: #527327)

 -- Arthur de Jong <adejong@debian.org>  Sat, 09 May 2009 22:00:00 +0200

nss-ldapd (0.6.8) unstable; urgency=high

  * SECURITY FIX: the nss-ldapd.conf file that is installed was created
                  world-readable which could cause problems if the bindpw
                  option is used (CVE-2009-1073)
                  this has been fixed and warnings have been added to the
                  manual page and sample nss-ldapd.conf (closes: #520476)
  * clean the environment and set LDAPNOINIT to disable parsing of LDAP
    configuration files (.ldaprc, /etc/ldap/ldap.conf, etc)
  * remove sslpath option because it wasn't used
  * correctly set SSL/TLS options when using StartTLS
  * rename the tls_checkpeer option to tls_reqcert, deprecating the old name
    and supporting all values that OpenLDAP supports
  * allow backslashes in user and group names execpt as first or last
    character
  * check user and group names against LOGIN_NAME_MAX if it is defined
  * fix for getpeercred() on Solaris by David Bartley
  * debian/control: change section to admin to follow change in override file

