=== debian/control ===
Source: nss-ldapd
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Arthur de Jong <adejong@debian.org>
Uploaders: Richard A Nelson (Rick) <cowboy@debian.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 7), libkrb5-dev, libldap2-dev, libsasl2-dev, po-debconf (>= 0.5.0), docbook2x, docbook-xml
Homepage: http://arthurdejong.org/nss-ldapd/
Vcs-Svn: http://arthurdejong.org/svn/nss-ldapd/nss-ldapd/
Vcs-Browser: http://arthurdejong.org/viewvc/nss-ldapd/nss-ldapd/

Package: nslcd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Recommends: nscd, libnss-ldapd
Description: Daemon for NSS and PAM lookups using LDAP
 This package provides a daemon for retrieving user account, and other
 system information from LDAP.
 .
 It is used by the libnss-ldapd package but by itself is not very useful.

Package: libnss-ldapd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Suggests: nscd, libpam-ldap
Conflicts: libnss-ldap
Provides: libnss-ldap
Description: NSS module for using LDAP as a naming service
 This package provides a Name Service Switch module that allows your LDAP
 server to provide user account, group, host name, alias, netgroup, and
 basically any other information that you would normally get from /etc flat
 files or NIS.
 .
 This is a fork from libnss-ldap implementing structural design changes
 to fix, amongst other things, problems related to host name lookups and
 name lookups during booting.
