=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	            --with-ldap-lib=openldap \
 	            --with-ldap-conf-file=/etc/nss-ldapd.conf \
 	            --with-nslcd-pidfile=/var/run/nslcd/nslcd.pid \
-	            --with-nslcd-socket=/var/run/nslcd/socket
+	            --with-nslcd-socket=/var/run/nslcd/nslcd.socket
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -42,7 +42,6 @@
 	  cp -f /usr/share/misc/config.guess config.guess
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
 	debconf-updatepo --verbose
@@ -50,10 +49,13 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/libnss-ldapd
+	dh_prep
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	# make configfile fully generated
-	rm -f $(CURDIR)/debian/libnss-ldapd/etc/nss-ldapd.conf
+	rm -f $(CURDIR)/debian/tmp/etc/nss-ldapd.conf
+	# install a lintian override file
+	install -D -m 644 $(CURDIR)/debian/libnss-ldapd.lintian-overrides \
+	        $(CURDIR)/debian/libnss-ldapd/usr/share/lintian/overrides/libnss-ldapd
 
 # build architecture-independent files
 binary-indep: build install
@@ -63,10 +65,11 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_install
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
-	dh_installinit --name=nslcd
+	dh_installinit
 	dh_installman
 	dh_installchangelogs
 	dh_link
